Package uk.ac.starlink.topcat.vizier

## Class InfoItem

- java.lang.Object
- - uk.ac.starlink.topcat.vizier.InfoItem

-     public class InfoItem
      extends java.lang.Object

  Represents one of the static VizieR resources as obtained by the VizierInfo class.
  Since:
    3 Nov 2009
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfoItem​(java.lang.String name, java.lang.String title, java.lang.Integer krows)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `getKrows()` | Returns the number of thousands of rows.
    `java.lang.String` | `getName()` | Returns the item short name.
    `java.lang.String` | `getTitle()` | Returns the item short description.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfoItem

          public InfoItem​(java.lang.String name,
                          java.lang.String title,
                          java.lang.Integer krows)

      Constructor.
      Parameters:
        `name` - item name
        `title` - item short description
        `krows` - number of thousands of rows (approx)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the item short name.
      Returns:
        name

    - #### getTitle

          public java.lang.String getTitle()

      Returns the item short description.
      Returns:
        title

    - #### getKrows

          public java.lang.Integer getKrows()

      Returns the number of thousands of rows.
      Returns:
        krows